Bug 855342 - org.infinispan.tx.StaleLockRecoveryTest.testStaleLock fails randomly
org.infinispan.tx.StaleLockRecoveryTest.testStaleLock fails randomly
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium
: DR2
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 960468
  Show dependency treegraph
 
Reported: 2012-09-07 09:06 EDT by Anna Manukyan
Modified: 2013-10-06 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 960468 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2513 Major Resolved org.infinispan.tx.StaleLockRecoveryTest.testStaleLock fails randomly 2014-08-29 10:21:50 EDT

  None (edit)
Description Anna Manukyan 2012-09-07 09:06:29 EDT
The test fails randomly during Infinispan testsuite run on IBM-JDK7.

You can find the logs here:

http://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/edg-60-ispn-testsuite-rhel/jdk=java17_default,label=RHEL5_x86_64/26/testReport/junit/org.infinispan.api/CacheClusterJoinTest/testIsCoordinator/
Comment 1 Anna Manukyan 2012-09-12 08:46:33 EDT
The bug doesn't appear when the test is run separately.
Comment 2 mark yarborough 2012-09-12 09:24:17 EDT
Per ttarrant and mgencur, these are related to tests running in non-representative loading environments and will likely not occur in actual customer deployments. These are not regressions or blockers so will be moved to 6.1. They do not need to be release noted for 6.0.
Comment 3 mark yarborough 2012-11-14 09:42:10 EST
ttarrant will add jira links as appropriate.
Comment 6 JBoss JIRA Server 2013-07-03 01:46:12 EDT
Mircea Markus <mmarkus@redhat.com> updated the status of jira ISPN-2513 to Resolved
Comment 7 JBoss JIRA Server 2013-07-03 01:46:12 EDT
Mircea Markus <mmarkus@redhat.com> made a comment on jira ISPN-2513

The test passes consistently now: http://ci.infinispan.org/project.html?projectId=project2&testNameId=-5045878810137091386&tab=testDetails

Please reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.